// *************************************************************************************************
//
// Horde3D
//   Next-Generation Graphics Engine
// --------------------------------------
// Copyright (C) 2006-2007 Nicolas Schulz
//
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
//
// *************************************************************************************************

#include "egSingleton.h"

#include "utDebug.h"


// *************************************************************************************************
// Class TheEngineConfig
// *************************************************************************************************

EngineConfig *TheEngineConfig::_instance = 0x0;


void TheEngineConfig::destroyInstance()
{
	delete _instance; _instance = 0x0;
}



// *************************************************************************************************
// Class TheEngineLog
// *************************************************************************************************

EngineLog *TheEngineLog::_instance = 0x0;

void TheEngineLog::destroyInstance()
{
	delete _instance; _instance = 0x0;
}



// *************************************************************************************************
// Class TheSceneManager
// *************************************************************************************************

SceneManager *TheSceneManager::_instance = 0x0;


void TheSceneManager::destroyInstance()
{
	delete _instance; _instance = 0x0;
}



// *************************************************************************************************
// Class TheResourceManager
// *************************************************************************************************

ResourceManager *TheResourceManager::_instance = 0x0;


void TheResourceManager::destroyInstance()
{
	delete _instance; _instance = 0x0;
}



// *************************************************************************************************
// Class TheRenderer
// *************************************************************************************************

Renderer *TheRenderer::_instance = 0x0;


void TheRenderer::destroyInstance()
{
	delete _instance; _instance = 0x0;
}



// *************************************************************************************************
// Class ThePipeline
// *************************************************************************************************

Pipeline *ThePipeline::_instance = 0x0;


void ThePipeline::destroyInstance()
{
	delete _instance; _instance = 0x0;
}
